## ldapDrivers

Description

Located in /inc/drivers_ldap.php (line 15)

Method Summary
ldapDrivers __construct (array $config)
ldapDrivers ldapDrivers (array $config)
void getAllUsers ( $attributes)
array requestUser (string $filter, [array $attributes = NULL], $username, string $passwd)
Methods
Constructor __construct (line 43)

Initializes the LDAP connection

ldapDrivers __construct (array $config)

- array $config: The configuration data

Constructor ldapDrivers (line 33)

Constructor.

ldapDrivers ldapDrivers (array $config)

- array $config: The configuration data

getAllUsers (line 124)

Retrieve all users from the LDAP directory

void getAllUsers ( $attributes)

- $attributes

requestUser (line 159)

Returns the result of the LDAP query

- return: Contains selected attributes from all entries corresponding to the given filter

array requestUser (string $filter, [array $attributes = NULL], $username, string $passwd)

- string $filter: The filter used to search entries
- array $attributes: Attributes to be returned
- string $passwd: password to check
- $username

Documentation generated on Thu, 25 Feb 2010 11:39:20 +1300 by phpDocumentor 1.3.2